Subject: Re: bug#55158: bug: mu/mu4e on Guix does not use correct encoding/utf-8
From: Maxim Cournoyer <[email-masked]>
To: Benjamin Slade <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Wed, 08 Jun 2022 17:32:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Benjamin Slade <[email-masked]> writes:

> Update: So the encoding issue seems to be at a "lower level" than mu
> in fact. I noticed that new messages come through with the correct
> encoding now, so I assume it was an (odd) issue of locale settings
> when I initialised the mail initially/copied over old messages.
>
> (Unfortunately there does not seem to be a great way to mass re-encode messages. I can use `iconv' to convert, but it fails on messages with attachments, I think.)

OK.  I'm glad you could figure it out at least to some degrees :-).

I'll close the report but if it becomes a problem again feel free to
reopen it, with a reproducer ideally.

Thanks,

Maxim